searchNodes=[{"ref":"GoogleApi.CloudFunctions.V1.Api.Operations.html","title":"GoogleApi.CloudFunctions.V1.Api.Operations","type":"module","doc":"API calls for all endpoints tagged Operations."},{"ref":"GoogleApi.CloudFunctions.V1.Api.Operations.html#cloudfunctions_operations_get/4","title":"GoogleApi.CloudFunctions.V1.Api.Operations.cloudfunctions_operations_get/4","type":"function","doc":"Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service. Parameters connection (GoogleApi.CloudFunctions.V1.Connection): Connection to server operations_id (String.t): Part of &#x60;name&#x60;. The name of the operation resource. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). Returns {:ok, %GoogleApi.CloudFunctions.V1.Model.Operation{}} on success {:error, info} on failure"},{"ref":"GoogleApi.CloudFunctions.V1.Api.Operations.html#cloudfunctions_operations_list/3","title":"GoogleApi.CloudFunctions.V1.Api.Operations.cloudfunctions_operations_list/3","type":"function","doc":"Lists operations that match the specified filter in the request. If the server doesn&#39;t support this method, it returns &#x60;UNIMPLEMENTED&#x60;. NOTE: the &#x60;name&#x60; binding allows API services to override the binding to use different resource name schemes, such as &#x60;users//operations&#x60;. To override the binding, API services can add a binding such as &#x60;&quot;/v1/{name&#x3D;users/}/operations&quot;&#x60; to their service configuration. For backwards compatibility, the default name includes the operations collection id, however overriding users must ensure the name binding is the parent resource, without the operations collection id. Parameters connection (GoogleApi.CloudFunctions.V1.Connection): Connection to server optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :filter (String.t): Required. A filter for matching the requested operations.&lt;br&gt;&lt;br&gt; The supported formats of &lt;b&gt;filter&lt;/b&gt; are:&lt;br&gt; To query for specific function: &lt;code&gt;project:,location:,function:&lt;/code&gt;&lt;br&gt; To query for all of the latest operations for a project: &lt;code&gt;project:,latest:true&lt;/code&gt; :name (String.t): Must not be set. :pageSize (integer()): The standard list page size. :pageToken (String.t): The standard list page token. Returns {:ok, %GoogleApi.CloudFunctions.V1.Model.ListOperationsResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.CloudFunctions.V1.Api.Projects.html","title":"GoogleApi.CloudFunctions.V1.Api.Projects","type":"module","doc":"API calls for all endpoints tagged Projects."},{"ref":"GoogleApi.CloudFunctions.V1.Api.Projects.html#cloudfunctions_projects_locations_functions_call/6","title":"GoogleApi.CloudFunctions.V1.Api.Projects.cloudfunctions_projects_locations_functions_call/6","type":"function","doc":"Synchronously invokes a deployed Cloud Function. To be used for testing purposes as very limited traffic is allowed. For more information on the actual limits, refer to Rate Limits. Parameters connection (GoogleApi.CloudFunctions.V1.Connection): Connection to server projects_id (String.t): Part of &#x60;name&#x60;. The name of the function to be called. locations_id (String.t): Part of &#x60;name&#x60;. See documentation of &#x60;projectsId&#x60;. functions_id (String.t): Part of &#x60;name&#x60;. See documentation of &#x60;projectsId&#x60;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (CallFunctionRequest): Returns {:ok, %GoogleApi.CloudFunctions.V1.Model.CallFunctionResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.CloudFunctions.V1.Api.Projects.html#cloudfunctions_projects_locations_functions_create/5","title":"GoogleApi.CloudFunctions.V1.Api.Projects.cloudfunctions_projects_locations_functions_create/5","type":"function","doc":"Creates a new function. If a function with the given name already exists in the specified project, the long running operation will return &#x60;ALREADY_EXISTS&#x60; error. Parameters connection (GoogleApi.CloudFunctions.V1.Connection): Connection to server projects_id (String.t): Part of &#x60;location&#x60;. The project and location in which the function should be created, specified in the format &#x60;projects//locations/&#x60; locations_id (String.t): Part of &#x60;location&#x60;. See documentation of &#x60;projectsId&#x60;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (CloudFunction): Returns {:ok, %GoogleApi.CloudFunctions.V1.Model.Operation{}} on success {:error, info} on failure"},{"ref":"GoogleApi.CloudFunctions.V1.Api.Projects.html#cloudfunctions_projects_locations_functions_delete/6","title":"GoogleApi.CloudFunctions.V1.Api.Projects.cloudfunctions_projects_locations_functions_delete/6","type":"function","doc":"Deletes a function with the given name from the specified project. If the given function is used by some trigger, the trigger will be updated to remove this function. Parameters connection (GoogleApi.CloudFunctions.V1.Connection): Connection to server projects_id (String.t): Part of &#x60;name&#x60;. The name of the function which should be deleted. locations_id (String.t): Part of &#x60;name&#x60;. See documentation of &#x60;projectsId&#x60;. functions_id (String.t): Part of &#x60;name&#x60;. See documentation of &#x60;projectsId&#x60;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). Returns {:ok, %GoogleApi.CloudFunctions.V1.Model.Operation{}} on success {:error, info} on failure"},{"ref":"GoogleApi.CloudFunctions.V1.Api.Projects.html#cloudfunctions_projects_locations_functions_generate_download_url/6","title":"GoogleApi.CloudFunctions.V1.Api.Projects.cloudfunctions_projects_locations_functions_generate_download_url/6","type":"function","doc":"Returns a signed URL for downloading deployed function source code. The URL is only valid for a limited period and should be used within minutes after generation. For more information about the signed URL usage see: https://cloud.google.com/storage/docs/access-control/signed-urls Parameters connection (GoogleApi.CloudFunctions.V1.Connection): Connection to server projects_id (String.t): Part of &#x60;name&#x60;. The name of function for which source code Google Cloud Storage signed URL should be generated. locations_id (String.t): Part of &#x60;name&#x60;. See documentation of &#x60;projectsId&#x60;. functions_id (String.t): Part of &#x60;name&#x60;. See documentation of &#x60;projectsId&#x60;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (GenerateDownloadUrlRequest): Returns {:ok, %GoogleApi.CloudFunctions.V1.Model.GenerateDownloadUrlResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.CloudFunctions.V1.Api.Projects.html#cloudfunctions_projects_locations_functions_generate_upload_url/5","title":"GoogleApi.CloudFunctions.V1.Api.Projects.cloudfunctions_projects_locations_functions_generate_upload_url/5","type":"function","doc":"Returns a signed URL for uploading a function source code. For more information about the signed URL usage see: https://cloud.google.com/storage/docs/access-control/signed-urls. Once the function source code upload is complete, the used signed URL should be provided in CreateFunction or UpdateFunction request as a reference to the function source code. When uploading source code to the generated signed URL, please follow these restrictions: Source file type should be a zip file. Source file size should not exceed 100MB limit. No credentials should be attached - the signed URLs provide access to the target bucket using internal service identity; if credentials were attached, the identity from the credentials would be used, but that identity does not have permissions to upload files to the URL. When making a HTTP PUT request, these two headers need to be specified: &#x60;content-type: application/zip&#x60; &#x60;x-goog-content-length-range: 0,104857600&#x60; And this header SHOULD NOT be specified: &#x60;Authorization: Bearer YOUR_TOKEN&#x60; Parameters connection (GoogleApi.CloudFunctions.V1.Connection): Connection to server projects_id (String.t): Part of &#x60;parent&#x60;. The project and location in which the Google Cloud Storage signed URL should be generated, specified in the format &#x60;projects//locations/&#x60;. locations_id (String.t): Part of &#x60;parent&#x60;. See documentation of &#x60;projectsId&#x60;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (GenerateUploadUrlRequest): Returns {:ok, %GoogleApi.CloudFunctions.V1.Model.GenerateUploadUrlResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.CloudFunctions.V1.Api.Projects.html#cloudfunctions_projects_locations_functions_get/6","title":"GoogleApi.CloudFunctions.V1.Api.Projects.cloudfunctions_projects_locations_functions_get/6","type":"function","doc":"Returns a function with the given name from the requested project. Parameters connection (GoogleApi.CloudFunctions.V1.Connection): Connection to server projects_id (String.t): Part of &#x60;name&#x60;. The name of the function which details should be obtained. locations_id (String.t): Part of &#x60;name&#x60;. See documentation of &#x60;projectsId&#x60;. functions_id (String.t): Part of &#x60;name&#x60;. See documentation of &#x60;projectsId&#x60;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). Returns {:ok, %GoogleApi.CloudFunctions.V1.Model.CloudFunction{}} on success {:error, info} on failure"},{"ref":"GoogleApi.CloudFunctions.V1.Api.Projects.html#cloudfunctions_projects_locations_functions_get_iam_policy/6","title":"GoogleApi.CloudFunctions.V1.Api.Projects.cloudfunctions_projects_locations_functions_get_iam_policy/6","type":"function","doc":"Gets the IAM access control policy for a function. Returns an empty policy if the function exists and does not have a policy set. Parameters connection (GoogleApi.CloudFunctions.V1.Connection): Connection to server projects_id (String.t): Part of &#x60;resource&#x60;. REQUIRED: The resource for which the policy is being requested. See the operation documentation for the appropriate value for this field. locations_id (String.t): Part of &#x60;resource&#x60;. See documentation of &#x60;projectsId&#x60;. functions_id (String.t): Part of &#x60;resource&#x60;. See documentation of &#x60;projectsId&#x60;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). Returns {:ok, %GoogleApi.CloudFunctions.V1.Model.Policy{}} on success {:error, info} on failure"},{"ref":"GoogleApi.CloudFunctions.V1.Api.Projects.html#cloudfunctions_projects_locations_functions_list/5","title":"GoogleApi.CloudFunctions.V1.Api.Projects.cloudfunctions_projects_locations_functions_list/5","type":"function","doc":"Returns a list of functions that belong to the requested project. Parameters connection (GoogleApi.CloudFunctions.V1.Connection): Connection to server projects_id (String.t): Part of &#x60;parent&#x60;. The project and location from which the function should be listed, specified in the format &#x60;projects//locations/&#x60; If you want to list functions in all locations, use &quot;-&quot; in place of a location. locations_id (String.t): Part of &#x60;parent&#x60;. See documentation of &#x60;projectsId&#x60;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :pageSize (integer()): Maximum number of functions to return per call. :pageToken (String.t): The value returned by the last &#x60;ListFunctionsResponse&#x60;; indicates that this is a continuation of a prior &#x60;ListFunctions&#x60; call, and that the system should return the next page of data. Returns {:ok, %GoogleApi.CloudFunctions.V1.Model.ListFunctionsResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.CloudFunctions.V1.Api.Projects.html#cloudfunctions_projects_locations_functions_patch/6","title":"GoogleApi.CloudFunctions.V1.Api.Projects.cloudfunctions_projects_locations_functions_patch/6","type":"function","doc":"Updates existing function. Parameters connection (GoogleApi.CloudFunctions.V1.Connection): Connection to server projects_id (String.t): Part of &#x60;function.name&#x60;. A user-defined name of the function. Function names must be unique globally and match pattern &#x60;projects//locations//functions/*&#x60; locations_id (String.t): Part of &#x60;function.name&#x60;. See documentation of &#x60;projectsId&#x60;. functions_id (String.t): Part of &#x60;function.name&#x60;. See documentation of &#x60;projectsId&#x60;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :updateMask (String.t): Required list of fields to be updated in this request. :body (CloudFunction): Returns {:ok, %GoogleApi.CloudFunctions.V1.Model.Operation{}} on success {:error, info} on failure"},{"ref":"GoogleApi.CloudFunctions.V1.Api.Projects.html#cloudfunctions_projects_locations_functions_set_iam_policy/6","title":"GoogleApi.CloudFunctions.V1.Api.Projects.cloudfunctions_projects_locations_functions_set_iam_policy/6","type":"function","doc":"Sets the IAM access control policy on the specified function. Replaces any existing policy. Parameters connection (GoogleApi.CloudFunctions.V1.Connection): Connection to server projects_id (String.t): Part of &#x60;resource&#x60;. REQUIRED: The resource for which the policy is being specified. See the operation documentation for the appropriate value for this field. locations_id (String.t): Part of &#x60;resource&#x60;. See documentation of &#x60;projectsId&#x60;. functions_id (String.t): Part of &#x60;resource&#x60;. See documentation of &#x60;projectsId&#x60;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (SetIamPolicyRequest): Returns {:ok, %GoogleApi.CloudFunctions.V1.Model.Policy{}} on success {:error, info} on failure"},{"ref":"GoogleApi.CloudFunctions.V1.Api.Projects.html#cloudfunctions_projects_locations_functions_test_iam_permissions/6","title":"GoogleApi.CloudFunctions.V1.Api.Projects.cloudfunctions_projects_locations_functions_test_iam_permissions/6","type":"function","doc":"Tests the specified permissions against the IAM access control policy for a function. If the function does not exist, this will return an empty set of permissions, not a NOT_FOUND error. Parameters connection (GoogleApi.CloudFunctions.V1.Connection): Connection to server projects_id (String.t): Part of &#x60;resource&#x60;. REQUIRED: The resource for which the policy detail is being requested. See the operation documentation for the appropriate value for this field. locations_id (String.t): Part of &#x60;resource&#x60;. See documentation of &#x60;projectsId&#x60;. functions_id (String.t): Part of &#x60;resource&#x60;. See documentation of &#x60;projectsId&#x60;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (TestIamPermissionsRequest): Returns {:ok, %GoogleApi.CloudFunctions.V1.Model.TestIamPermissionsResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.CloudFunctions.V1.Api.Projects.html#cloudfunctions_projects_locations_list/4","title":"GoogleApi.CloudFunctions.V1.Api.Projects.cloudfunctions_projects_locations_list/4","type":"function","doc":"Lists information about the supported locations for this service. Parameters connection (GoogleApi.CloudFunctions.V1.Connection): Connection to server projects_id (String.t): Part of &#x60;name&#x60;. The resource that owns the locations collection, if applicable. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :filter (String.t): The standard list filter. :pageSize (integer()): The standard list page size. :pageToken (String.t): The standard list page token. Returns {:ok, %GoogleApi.CloudFunctions.V1.Model.ListLocationsResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.CloudFunctions.V1.Connection.html","title":"GoogleApi.CloudFunctions.V1.Connection","type":"module","doc":"Handle Tesla connections for GoogleApi.CloudFunctions.V1."},{"ref":"GoogleApi.CloudFunctions.V1.Connection.html#delete/3","title":"GoogleApi.CloudFunctions.V1.Connection.delete/3","type":"function","doc":"Perform a DELETE request. See request/1 or request/2 for options definition. delete(&quot;/users&quot;) delete(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) delete(client, &quot;/users&quot;) delete(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.CloudFunctions.V1.Connection.html#delete!/3","title":"GoogleApi.CloudFunctions.V1.Connection.delete!/3","type":"function","doc":"Perform a DELETE request. See request!/1 or request!/2 for options definition. delete!(&quot;/users&quot;) delete!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) delete!(client, &quot;/users&quot;) delete!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.CloudFunctions.V1.Connection.html#execute/2","title":"GoogleApi.CloudFunctions.V1.Connection.execute/2","type":"function","doc":"Execute a request on this connection Returns Tesla.Env"},{"ref":"GoogleApi.CloudFunctions.V1.Connection.html#get/3","title":"GoogleApi.CloudFunctions.V1.Connection.get/3","type":"function","doc":"Perform a GET request. See request/1 or request/2 for options definition. get(&quot;/users&quot;) get(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) get(client, &quot;/users&quot;) get(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.CloudFunctions.V1.Connection.html#get!/3","title":"GoogleApi.CloudFunctions.V1.Connection.get!/3","type":"function","doc":"Perform a GET request. See request!/1 or request!/2 for options definition. get!(&quot;/users&quot;) get!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) get!(client, &quot;/users&quot;) get!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.CloudFunctions.V1.Connection.html#head/3","title":"GoogleApi.CloudFunctions.V1.Connection.head/3","type":"function","doc":"Perform a HEAD request. See request/1 or request/2 for options definition. head(&quot;/users&quot;) head(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) head(client, &quot;/users&quot;) head(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.CloudFunctions.V1.Connection.html#head!/3","title":"GoogleApi.CloudFunctions.V1.Connection.head!/3","type":"function","doc":"Perform a HEAD request. See request!/1 or request!/2 for options definition. head!(&quot;/users&quot;) head!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) head!(client, &quot;/users&quot;) head!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.CloudFunctions.V1.Connection.html#new/0","title":"GoogleApi.CloudFunctions.V1.Connection.new/0","type":"function","doc":"Configure an authless client connection Returns Tesla.Client.t"},{"ref":"GoogleApi.CloudFunctions.V1.Connection.html#new/1","title":"GoogleApi.CloudFunctions.V1.Connection.new/1","type":"function","doc":"Configure a client connection using a function which yields a Bearer token. Parameters token_fetcher (function arity of 1): Callback which provides an OAuth2 token given a list of scopes Returns Tesla.Env.client"},{"ref":"GoogleApi.CloudFunctions.V1.Connection.html#options/3","title":"GoogleApi.CloudFunctions.V1.Connection.options/3","type":"function","doc":"Perform a OPTIONS request. See request/1 or request/2 for options definition. options(&quot;/users&quot;) options(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) options(client, &quot;/users&quot;) options(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.CloudFunctions.V1.Connection.html#options!/3","title":"GoogleApi.CloudFunctions.V1.Connection.options!/3","type":"function","doc":"Perform a OPTIONS request. See request!/1 or request!/2 for options definition. options!(&quot;/users&quot;) options!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) options!(client, &quot;/users&quot;) options!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.CloudFunctions.V1.Connection.html#patch/4","title":"GoogleApi.CloudFunctions.V1.Connection.patch/4","type":"function","doc":"Perform a PATCH request. See request/1 or request/2 for options definition. patch(&quot;/users&quot;, %{name: &quot;Jon&quot;}) patch(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) patch(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) patch(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.CloudFunctions.V1.Connection.html#patch!/4","title":"GoogleApi.CloudFunctions.V1.Connection.patch!/4","type":"function","doc":"Perform a PATCH request. See request!/1 or request!/2 for options definition. patch!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) patch!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) patch!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) patch!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.CloudFunctions.V1.Connection.html#post/4","title":"GoogleApi.CloudFunctions.V1.Connection.post/4","type":"function","doc":"Perform a POST request. See request/1 or request/2 for options definition. post(&quot;/users&quot;, %{name: &quot;Jon&quot;}) post(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.CloudFunctions.V1.Connection.html#post!/4","title":"GoogleApi.CloudFunctions.V1.Connection.post!/4","type":"function","doc":"Perform a POST request. See request!/1 or request!/2 for options definition. post!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) post!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) post!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) post!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.CloudFunctions.V1.Connection.html#put/4","title":"GoogleApi.CloudFunctions.V1.Connection.put/4","type":"function","doc":"Perform a PUT request. See request/1 or request/2 for options definition. put(&quot;/users&quot;, %{name: &quot;Jon&quot;}) put(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) put(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) put(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.CloudFunctions.V1.Connection.html#put!/4","title":"GoogleApi.CloudFunctions.V1.Connection.put!/4","type":"function","doc":"Perform a PUT request. See request!/1 or request!/2 for options definition. put!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) put!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) put!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) put!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.CloudFunctions.V1.Connection.html#request/2","title":"GoogleApi.CloudFunctions.V1.Connection.request/2","type":"function","doc":"Perform a request Options: :method - the request method, one of [:head, :get, :delete, :trace, :options, :post, :put, :patch] :url - either full url e.g. &quot;http://example.com/some/path&quot; or just &quot;/some/path&quot; if using Tesla.Middleware.BaseUrl :query - a keyword list of query params, e.g. [page: 1, per_page: 100] :headers - a keyworld list of headers, e.g. [{&quot;content-type&quot;, &quot;text/plain&quot;}] :body - depends on used middleware: by default it can be a binary if using e.g. JSON encoding middleware it can be a nested map if adapter supports it it can be a Stream with any of the above :opts - custom, per-request middleware or adapter options Examples: ExampleApi.request(method: :get, url: &quot;/users/path&quot;) You can also use shortcut methods like: ExampleApi.get(&quot;/users/1&quot;) or ExampleApi.post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;})"},{"ref":"GoogleApi.CloudFunctions.V1.Connection.html#request!/2","title":"GoogleApi.CloudFunctions.V1.Connection.request!/2","type":"function","doc":"Perform request and raise in case of error. This is similar to request/2 behaviour from Tesla 0.x See request/2 for list of available options."},{"ref":"GoogleApi.CloudFunctions.V1.Connection.html#trace/3","title":"GoogleApi.CloudFunctions.V1.Connection.trace/3","type":"function","doc":"Perform a TRACE request. See request/1 or request/2 for options definition. trace(&quot;/users&quot;) trace(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) trace(client, &quot;/users&quot;) trace(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.CloudFunctions.V1.Connection.html#trace!/3","title":"GoogleApi.CloudFunctions.V1.Connection.trace!/3","type":"function","doc":"Perform a TRACE request. See request!/1 or request!/2 for options definition. trace!(&quot;/users&quot;) trace!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) trace!(client, &quot;/users&quot;) trace!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.CloudFunctions.V1.Connection.html#t:option/0","title":"GoogleApi.CloudFunctions.V1.Connection.option/0","type":"type","doc":""},{"ref":"GoogleApi.CloudFunctions.V1.Deserializer.html","title":"GoogleApi.CloudFunctions.V1.Deserializer","type":"module","doc":"Helper functions for deserializing responses into models. This module is no longer used. Please use GoogleApi.Gax.ModelBase instead."},{"ref":"GoogleApi.CloudFunctions.V1.Model.AuditConfig.html","title":"GoogleApi.CloudFunctions.V1.Model.AuditConfig","type":"module","doc":"Specifies the audit configuration for a service. The configuration determines which permission types are logged, and what identities, if any, are exempted from logging. An AuditConfig must have one or more AuditLogConfigs. If there are AuditConfigs for both &#x60;allServices&#x60; and a specific service, the union of the two AuditConfigs is used for that service: the log_types specified in each AuditConfig are enabled, and the exempted_members in each AuditLogConfig are exempted. Example Policy with multiple AuditConfigs: { &quot;audit_configs&quot;: [ { &quot;service&quot;: &quot;allServices&quot; &quot;audit_log_configs&quot;: [ { &quot;log_type&quot;: &quot;DATA_READ&quot;, &quot;exempted_members&quot;: [ &quot;user:foo@gmail.com&quot; ] }, { &quot;log_type&quot;: &quot;DATA_WRITE&quot;, }, { &quot;log_type&quot;: &quot;ADMIN_READ&quot;, } ] }, { &quot;service&quot;: &quot;fooservice.googleapis.com&quot; &quot;audit_log_configs&quot;: [ { &quot;log_type&quot;: &quot;DATA_READ&quot;, }, { &quot;log_type&quot;: &quot;DATA_WRITE&quot;, &quot;exempted_members&quot;: [ &quot;user:bar@gmail.com&quot; ] } ] } ] } For fooservice, this policy enables DATA_READ, DATA_WRITE and ADMIN_READ logging. It also exempts foo@gmail.com from DATA_READ logging, and bar@gmail.com from DATA_WRITE logging. Attributes auditLogConfigs ([AuditLogConfig]): The configuration for logging of each type of permission. Defaults to: null. service (String.t): Specifies a service that will be enabled for audit logging. For example, &#x60;storage.googleapis.com&#x60;, &#x60;cloudsql.googleapis.com&#x60;. &#x60;allServices&#x60; is a special value that covers all services. Defaults to: null."},{"ref":"GoogleApi.CloudFunctions.V1.Model.AuditConfig.html#decode/2","title":"GoogleApi.CloudFunctions.V1.Model.AuditConfig.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudFunctions.V1.Model.AuditConfig.html#t:t/0","title":"GoogleApi.CloudFunctions.V1.Model.AuditConfig.t/0","type":"type","doc":""},{"ref":"GoogleApi.CloudFunctions.V1.Model.AuditLogConfig.html","title":"GoogleApi.CloudFunctions.V1.Model.AuditLogConfig","type":"module","doc":"Provides the configuration for logging a type of permissions. Example: { &quot;audit_log_configs&quot;: [ { &quot;log_type&quot;: &quot;DATA_READ&quot;, &quot;exempted_members&quot;: [ &quot;user:foo@gmail.com&quot; ] }, { &quot;log_type&quot;: &quot;DATA_WRITE&quot;, } ] } This enables &#39;DATA_READ&#39; and &#39;DATA_WRITE&#39; logging, while exempting foo@gmail.com from DATA_READ logging. Attributes exemptedMembers ([String.t]): Specifies the identities that do not cause logging for this type of permission. Follows the same format of Binding.members. Defaults to: null. logType (String.t): The log type that this config enables. Defaults to: null. Enum - one of [LOG_TYPE_UNSPECIFIED, ADMIN_READ, DATA_WRITE, DATA_READ]"},{"ref":"GoogleApi.CloudFunctions.V1.Model.AuditLogConfig.html#decode/2","title":"GoogleApi.CloudFunctions.V1.Model.AuditLogConfig.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudFunctions.V1.Model.AuditLogConfig.html#t:t/0","title":"GoogleApi.CloudFunctions.V1.Model.AuditLogConfig.t/0","type":"type","doc":""},{"ref":"GoogleApi.CloudFunctions.V1.Model.Binding.html","title":"GoogleApi.CloudFunctions.V1.Model.Binding","type":"module","doc":"Associates &#x60;members&#x60; with a &#x60;role&#x60;. Attributes condition (Expr): The condition that is associated with this binding. NOTE: An unsatisfied condition will not allow user access via current binding. Different bindings, including their conditions, are examined independently. Defaults to: null. members ([String.t]): Specifies the identities requesting access for a Cloud Platform resource. &#x60;members&#x60; can have the following values: &#x60;allUsers&#x60;: A special identifier that represents anyone who is on the internet; with or without a Google account. &#x60;allAuthenticatedUsers&#x60;: A special identifier that represents anyone who is authenticated with a Google account or a service account. &#x60;user:{emailid}&#x60;: An email address that represents a specific Google account. For example, &#x60;alice@gmail.com&#x60; . &#x60;serviceAccount:{emailid}&#x60;: An email address that represents a service account. For example, &#x60;my-other-app@appspot.gserviceaccount.com&#x60;. &#x60;group:{emailid}&#x60;: An email address that represents a Google group. For example, &#x60;admins@example.com&#x60;. &#x60;domain:{domain}&#x60;: The G Suite domain (primary) that represents all the users of that domain. For example, &#x60;google.com&#x60; or &#x60;example.com&#x60;. Defaults to: null. role (String.t): Role that is assigned to &#x60;members&#x60;. For example, &#x60;roles/viewer&#x60;, &#x60;roles/editor&#x60;, or &#x60;roles/owner&#x60;. Defaults to: null."},{"ref":"GoogleApi.CloudFunctions.V1.Model.Binding.html#decode/2","title":"GoogleApi.CloudFunctions.V1.Model.Binding.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudFunctions.V1.Model.Binding.html#t:t/0","title":"GoogleApi.CloudFunctions.V1.Model.Binding.t/0","type":"type","doc":""},{"ref":"GoogleApi.CloudFunctions.V1.Model.CallFunctionRequest.html","title":"GoogleApi.CloudFunctions.V1.Model.CallFunctionRequest","type":"module","doc":"Request for the &#x60;CallFunction&#x60; method. Attributes data (String.t): Input to be passed to the function. Defaults to: null."},{"ref":"GoogleApi.CloudFunctions.V1.Model.CallFunctionRequest.html#decode/2","title":"GoogleApi.CloudFunctions.V1.Model.CallFunctionRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudFunctions.V1.Model.CallFunctionRequest.html#t:t/0","title":"GoogleApi.CloudFunctions.V1.Model.CallFunctionRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.CloudFunctions.V1.Model.CallFunctionResponse.html","title":"GoogleApi.CloudFunctions.V1.Model.CallFunctionResponse","type":"module","doc":"Response of &#x60;CallFunction&#x60; method. Attributes error (String.t): Either system or user-function generated error. Set if execution was not successful. Defaults to: null. executionId (String.t): Execution id of function invocation. Defaults to: null. result (String.t): Result populated for successful execution of synchronous function. Will not be populated if function does not return a result through context. Defaults to: null."},{"ref":"GoogleApi.CloudFunctions.V1.Model.CallFunctionResponse.html#decode/2","title":"GoogleApi.CloudFunctions.V1.Model.CallFunctionResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudFunctions.V1.Model.CallFunctionResponse.html#t:t/0","title":"GoogleApi.CloudFunctions.V1.Model.CallFunctionResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.CloudFunctions.V1.Model.CloudFunction.html","title":"GoogleApi.CloudFunctions.V1.Model.CloudFunction","type":"module","doc":"Describes a Cloud Function that contains user computation executed in response to an event. It encapsulate function and triggers configurations. LINT.IfChange Attributes availableMemoryMb (integer()): The amount of memory in MB available for a function. Defaults to 256MB. Defaults to: null. description (String.t): User-provided description of a function. Defaults to: null. entryPoint (String.t): The name of the function (as defined in source code) that will be executed. Defaults to the resource name suffix, if not specified. For backward compatibility, if function with given name is not found, then the system will try to use function named &quot;function&quot;. For Node.js this is name of a function exported by the module specified in &#x60;source_location&#x60;. Defaults to: null. environmentVariables (%{optional(String.t) &#x3D;&gt; String.t}): Environment variables that shall be available during function execution. Defaults to: null. eventTrigger (EventTrigger): A source that fires events in response to a condition in another service. Defaults to: null. httpsTrigger (HttpsTrigger): An HTTPS endpoint type of source that can be triggered via URL. Defaults to: null. labels (%{optional(String.t) &#x3D;&gt; String.t}): Labels associated with this Cloud Function. Defaults to: null. maxInstances (integer()): The limit on the maximum number of function instances that may coexist at a given time. Defaults to: null. name (String.t): A user-defined name of the function. Function names must be unique globally and match pattern &#x60;projects//locations//functions/*&#x60; Defaults to: null. network (String.t): The VPC Network that this cloud function can connect to. It can be either the fully-qualified URI, or the short name of the network resource. If the short network name is used, the network must belong to the same project. Otherwise, it must belong to a project within the same organization. The format of this field is either &#x60;projects/{project}/global/networks/{network}&#x60; or &#x60;{network}&#x60;, where {project} is a project id where the network is defined, and {network} is the short name of the network. This field is mutually exclusive with &#x60;vpc_connector&#x60; and will be replaced by it. See the VPC documentation for more information on connecting Cloud projects. This feature is currently in alpha, available only for whitelisted users. Defaults to: null. runtime (String.t): Required. The runtime in which the function is going to run. Choices: &#x60;nodejs6&#x60;: Node.js 6 &#x60;nodejs8&#x60;: Node.js 8 &#x60;nodejs10&#x60;: Node.js 10 &#x60;python37&#x60;: Python 3.7 * &#x60;go111&#x60;: Go 1.11 Defaults to: null. serviceAccountEmail (String.t): The email of the function&#39;s service account. If empty, defaults to {project_id}@appspot.gserviceaccount.com. Defaults to: null. sourceArchiveUrl (String.t): The Google Cloud Storage URL, starting with gs://, pointing to the zip archive which contains the function. Defaults to: null. sourceRepository (SourceRepository): Beta Feature The source repository where a function is hosted. Defaults to: null. sourceUploadUrl (String.t): The Google Cloud Storage signed URL used for source uploading, generated by google.cloud.functions.v1.GenerateUploadUrl Defaults to: null. status (String.t): Output only. Status of the function deployment. Defaults to: null. Enum - one of [CLOUD_FUNCTION_STATUS_UNSPECIFIED, ACTIVE, OFFLINE, DEPLOY_IN_PROGRESS, DELETE_IN_PROGRESS, UNKNOWN] timeout (String.t): The function execution timeout. Execution is considered failed and can be terminated if the function is not completed at the end of the timeout period. Defaults to 60 seconds. Defaults to: null. updateTime (DateTime.t): Output only. The last update timestamp of a Cloud Function. Defaults to: null. versionId (String.t): Output only. The version identifier of the Cloud Function. Each deployment attempt results in a new version of a function being created. Defaults to: null. vpcConnector (String.t): The VPC Network Connector that this cloud function can connect to. It can be either the fully-qualified URI, or the short name of the network connector resource. The format of this field is &#x60;projects//locations//connectors/*&#x60; This field is mutually exclusive with &#x60;network&#x60; field and will eventually replace it. See the VPC documentation for more information on connecting Cloud projects. This feature is currently in alpha, available only for whitelisted users. Defaults to: null."},{"ref":"GoogleApi.CloudFunctions.V1.Model.CloudFunction.html#decode/2","title":"GoogleApi.CloudFunctions.V1.Model.CloudFunction.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudFunctions.V1.Model.CloudFunction.html#t:t/0","title":"GoogleApi.CloudFunctions.V1.Model.CloudFunction.t/0","type":"type","doc":""},{"ref":"GoogleApi.CloudFunctions.V1.Model.EventTrigger.html","title":"GoogleApi.CloudFunctions.V1.Model.EventTrigger","type":"module","doc":"Describes EventTrigger, used to request events be sent from another service. Attributes eventType (String.t): Required. The type of event to observe. For example: &#x60;providers/cloud.storage/eventTypes/object.change&#x60; and &#x60;providers/cloud.pubsub/eventTypes/topic.publish&#x60;. Event types match pattern &#x60;providers//eventTypes/.*&#x60;. The pattern contains: 1. namespace: For example, &#x60;cloud.storage&#x60; and &#x60;google.firebase.analytics&#x60;. 2. resource type: The type of resource on which event occurs. For example, the Google Cloud Storage API includes the type &#x60;object&#x60;. 3. action: The action that generates the event. For example, action for a Google Cloud Storage Object is &#39;change&#39;. These parts are lower case. Defaults to: null. failurePolicy (FailurePolicy): Specifies policy for failed executions. Defaults to: null. resource (String.t): Required. The resource(s) from which to observe events, for example, &#x60;projects/_/buckets/myBucket&#x60;. Not all syntactically correct values are accepted by all services. For example: 1. The authorization model must support it. Google Cloud Functions only allows EventTriggers to be deployed that observe resources in the same project as the &#x60;CloudFunction&#x60;. 2. The resource type must match the pattern expected for an &#x60;event_type&#x60;. For example, an &#x60;EventTrigger&#x60; that has an &#x60;event_type&#x60; of &quot;google.pubsub.topic.publish&quot; should have a resource that matches Google Cloud Pub/Sub topics. Additionally, some services may support short names when creating an &#x60;EventTrigger&#x60;. These will always be returned in the normalized &quot;long&quot; format. See each service&#39;s documentation for supported formats. Defaults to: null. service (String.t): The hostname of the service that should be observed. If no string is provided, the default service implementing the API will be used. For example, &#x60;storage.googleapis.com&#x60; is the default for all event types in the &#x60;google.storage&#x60; namespace. Defaults to: null."},{"ref":"GoogleApi.CloudFunctions.V1.Model.EventTrigger.html#decode/2","title":"GoogleApi.CloudFunctions.V1.Model.EventTrigger.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudFunctions.V1.Model.EventTrigger.html#t:t/0","title":"GoogleApi.CloudFunctions.V1.Model.EventTrigger.t/0","type":"type","doc":""},{"ref":"GoogleApi.CloudFunctions.V1.Model.Expr.html","title":"GoogleApi.CloudFunctions.V1.Model.Expr","type":"module","doc":"Represents an expression text. Example: title: &quot;User account presence&quot; description: &quot;Determines whether the request has a user account&quot; expression: &quot;size(request.user) &gt; 0&quot; Attributes description (String.t): An optional description of the expression. This is a longer text which describes the expression, e.g. when hovered over it in a UI. Defaults to: null. expression (String.t): Textual representation of an expression in Common Expression Language syntax. The application context of the containing message determines which well-known feature set of CEL is supported. Defaults to: null. location (String.t): An optional string indicating the location of the expression for error reporting, e.g. a file name and a position in the file. Defaults to: null. title (String.t): An optional title for the expression, i.e. a short string describing its purpose. This can be used e.g. in UIs which allow to enter the expression. Defaults to: null."},{"ref":"GoogleApi.CloudFunctions.V1.Model.Expr.html#decode/2","title":"GoogleApi.CloudFunctions.V1.Model.Expr.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudFunctions.V1.Model.Expr.html#t:t/0","title":"GoogleApi.CloudFunctions.V1.Model.Expr.t/0","type":"type","doc":""},{"ref":"GoogleApi.CloudFunctions.V1.Model.FailurePolicy.html","title":"GoogleApi.CloudFunctions.V1.Model.FailurePolicy","type":"module","doc":"Describes the policy in case of function&#39;s execution failure. If empty, then defaults to ignoring failures (i.e. not retrying them). Attributes retry (Retry): If specified, then the function will be retried in case of a failure. Defaults to: null."},{"ref":"GoogleApi.CloudFunctions.V1.Model.FailurePolicy.html#decode/2","title":"GoogleApi.CloudFunctions.V1.Model.FailurePolicy.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudFunctions.V1.Model.FailurePolicy.html#t:t/0","title":"GoogleApi.CloudFunctions.V1.Model.FailurePolicy.t/0","type":"type","doc":""},{"ref":"GoogleApi.CloudFunctions.V1.Model.GenerateDownloadUrlRequest.html","title":"GoogleApi.CloudFunctions.V1.Model.GenerateDownloadUrlRequest","type":"module","doc":"Request of &#x60;GenerateDownloadUrl&#x60; method. Attributes versionId (String.t): The optional version of function. If not set, default, current version is used. Defaults to: null."},{"ref":"GoogleApi.CloudFunctions.V1.Model.GenerateDownloadUrlRequest.html#decode/2","title":"GoogleApi.CloudFunctions.V1.Model.GenerateDownloadUrlRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudFunctions.V1.Model.GenerateDownloadUrlRequest.html#t:t/0","title":"GoogleApi.CloudFunctions.V1.Model.GenerateDownloadUrlRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.CloudFunctions.V1.Model.GenerateDownloadUrlResponse.html","title":"GoogleApi.CloudFunctions.V1.Model.GenerateDownloadUrlResponse","type":"module","doc":"Response of &#x60;GenerateDownloadUrl&#x60; method. Attributes downloadUrl (String.t): The generated Google Cloud Storage signed URL that should be used for function source code download. Defaults to: null."},{"ref":"GoogleApi.CloudFunctions.V1.Model.GenerateDownloadUrlResponse.html#decode/2","title":"GoogleApi.CloudFunctions.V1.Model.GenerateDownloadUrlResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudFunctions.V1.Model.GenerateDownloadUrlResponse.html#t:t/0","title":"GoogleApi.CloudFunctions.V1.Model.GenerateDownloadUrlResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.CloudFunctions.V1.Model.GenerateUploadUrlRequest.html","title":"GoogleApi.CloudFunctions.V1.Model.GenerateUploadUrlRequest","type":"module","doc":"Request of &#x60;GenerateSourceUploadUrl&#x60; method. Attributes"},{"ref":"GoogleApi.CloudFunctions.V1.Model.GenerateUploadUrlRequest.html#decode/2","title":"GoogleApi.CloudFunctions.V1.Model.GenerateUploadUrlRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudFunctions.V1.Model.GenerateUploadUrlRequest.html#t:t/0","title":"GoogleApi.CloudFunctions.V1.Model.GenerateUploadUrlRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.CloudFunctions.V1.Model.GenerateUploadUrlResponse.html","title":"GoogleApi.CloudFunctions.V1.Model.GenerateUploadUrlResponse","type":"module","doc":"Response of &#x60;GenerateSourceUploadUrl&#x60; method. Attributes uploadUrl (String.t): The generated Google Cloud Storage signed URL that should be used for a function source code upload. The uploaded file should be a zip archive which contains a function. Defaults to: null."},{"ref":"GoogleApi.CloudFunctions.V1.Model.GenerateUploadUrlResponse.html#decode/2","title":"GoogleApi.CloudFunctions.V1.Model.GenerateUploadUrlResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudFunctions.V1.Model.GenerateUploadUrlResponse.html#t:t/0","title":"GoogleApi.CloudFunctions.V1.Model.GenerateUploadUrlResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.CloudFunctions.V1.Model.HttpsTrigger.html","title":"GoogleApi.CloudFunctions.V1.Model.HttpsTrigger","type":"module","doc":"Describes HttpsTrigger, could be used to connect web hooks to function. Attributes url (String.t): Output only. The deployed url for the function. Defaults to: null."},{"ref":"GoogleApi.CloudFunctions.V1.Model.HttpsTrigger.html#decode/2","title":"GoogleApi.CloudFunctions.V1.Model.HttpsTrigger.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudFunctions.V1.Model.HttpsTrigger.html#t:t/0","title":"GoogleApi.CloudFunctions.V1.Model.HttpsTrigger.t/0","type":"type","doc":""},{"ref":"GoogleApi.CloudFunctions.V1.Model.ListFunctionsResponse.html","title":"GoogleApi.CloudFunctions.V1.Model.ListFunctionsResponse","type":"module","doc":"Response for the &#x60;ListFunctions&#x60; method. Attributes functions ([CloudFunction]): The functions that match the request. Defaults to: null. nextPageToken (String.t): If not empty, indicates that there may be more functions that match the request; this value should be passed in a new google.cloud.functions.v1.ListFunctionsRequest to get more functions. Defaults to: null."},{"ref":"GoogleApi.CloudFunctions.V1.Model.ListFunctionsResponse.html#decode/2","title":"GoogleApi.CloudFunctions.V1.Model.ListFunctionsResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudFunctions.V1.Model.ListFunctionsResponse.html#t:t/0","title":"GoogleApi.CloudFunctions.V1.Model.ListFunctionsResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.CloudFunctions.V1.Model.ListLocationsResponse.html","title":"GoogleApi.CloudFunctions.V1.Model.ListLocationsResponse","type":"module","doc":"The response message for Locations.ListLocations. Attributes locations ([Location]): A list of locations that matches the specified filter in the request. Defaults to: null. nextPageToken (String.t): The standard List next-page token. Defaults to: null."},{"ref":"GoogleApi.CloudFunctions.V1.Model.ListLocationsResponse.html#decode/2","title":"GoogleApi.CloudFunctions.V1.Model.ListLocationsResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudFunctions.V1.Model.ListLocationsResponse.html#t:t/0","title":"GoogleApi.CloudFunctions.V1.Model.ListLocationsResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.CloudFunctions.V1.Model.ListOperationsResponse.html","title":"GoogleApi.CloudFunctions.V1.Model.ListOperationsResponse","type":"module","doc":"The response message for Operations.ListOperations. Attributes nextPageToken (String.t): The standard List next-page token. Defaults to: null. operations ([Operation]): A list of operations that matches the specified filter in the request. Defaults to: null."},{"ref":"GoogleApi.CloudFunctions.V1.Model.ListOperationsResponse.html#decode/2","title":"GoogleApi.CloudFunctions.V1.Model.ListOperationsResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudFunctions.V1.Model.ListOperationsResponse.html#t:t/0","title":"GoogleApi.CloudFunctions.V1.Model.ListOperationsResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.CloudFunctions.V1.Model.Location.html","title":"GoogleApi.CloudFunctions.V1.Model.Location","type":"module","doc":"A resource that represents Google Cloud Platform location. Attributes displayName (String.t): The friendly name for this location, typically a nearby city name. For example, &quot;Tokyo&quot;. Defaults to: null. labels (%{optional(String.t) &#x3D;&gt; String.t}): Cross-service attributes for the location. For example {&quot;cloud.googleapis.com/region&quot;: &quot;us-east1&quot;} Defaults to: null. locationId (String.t): The canonical id for this location. For example: &#x60;&quot;us-east1&quot;&#x60;. Defaults to: null. metadata (%{optional(String.t) &#x3D;&gt; String.t}): Service-specific metadata. For example the available capacity at the given location. Defaults to: null. name (String.t): Resource name for the location, which may vary between implementations. For example: &#x60;&quot;projects/example-project/locations/us-east1&quot;&#x60; Defaults to: null."},{"ref":"GoogleApi.CloudFunctions.V1.Model.Location.html#decode/2","title":"GoogleApi.CloudFunctions.V1.Model.Location.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudFunctions.V1.Model.Location.html#t:t/0","title":"GoogleApi.CloudFunctions.V1.Model.Location.t/0","type":"type","doc":""},{"ref":"GoogleApi.CloudFunctions.V1.Model.Operation.html","title":"GoogleApi.CloudFunctions.V1.Model.Operation","type":"module","doc":"This resource represents a long-running operation that is the result of a network API call. Attributes done (boolean()): If the value is &#x60;false&#x60;, it means the operation is still in progress. If &#x60;true&#x60;, the operation is completed, and either &#x60;error&#x60; or &#x60;response&#x60; is available. Defaults to: null. error (Status): The error result of the operation in case of failure or cancellation. Defaults to: null. metadata (%{optional(String.t) &#x3D;&gt; String.t}): Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any. Defaults to: null. name (String.t): The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the &#x60;name&#x60; should be a resource name ending with &#x60;operations/{unique_id}&#x60;. Defaults to: null. response (%{optional(String.t) &#x3D;&gt; String.t}): The normal response of the operation in case of success. If the original method returns no data on success, such as &#x60;Delete&#x60;, the response is &#x60;google.protobuf.Empty&#x60;. If the original method is standard &#x60;Get&#x60;/&#x60;Create&#x60;/&#x60;Update&#x60;, the response should be the resource. For other methods, the response should have the type &#x60;XxxResponse&#x60;, where &#x60;Xxx&#x60; is the original method name. For example, if the original method name is &#x60;TakeSnapshot()&#x60;, the inferred response type is &#x60;TakeSnapshotResponse&#x60;. Defaults to: null."},{"ref":"GoogleApi.CloudFunctions.V1.Model.Operation.html#decode/2","title":"GoogleApi.CloudFunctions.V1.Model.Operation.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudFunctions.V1.Model.Operation.html#t:t/0","title":"GoogleApi.CloudFunctions.V1.Model.Operation.t/0","type":"type","doc":""},{"ref":"GoogleApi.CloudFunctions.V1.Model.OperationMetadataV1.html","title":"GoogleApi.CloudFunctions.V1.Model.OperationMetadataV1","type":"module","doc":"Metadata describing an Operation Attributes request (%{optional(String.t) &#x3D;&gt; String.t}): The original request that started the operation. Defaults to: null. target (String.t): Target of the operation - for example projects/project-1/locations/region-1/functions/function-1 Defaults to: null. type (String.t): Type of operation. Defaults to: null. Enum - one of [OPERATION_UNSPECIFIED, CREATE_FUNCTION, UPDATE_FUNCTION, DELETE_FUNCTION] updateTime (DateTime.t): The last update timestamp of the operation. Defaults to: null. versionId (String.t): Version id of the function created or updated by an API call. This field is only populated for Create and Update operations. Defaults to: null."},{"ref":"GoogleApi.CloudFunctions.V1.Model.OperationMetadataV1.html#decode/2","title":"GoogleApi.CloudFunctions.V1.Model.OperationMetadataV1.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudFunctions.V1.Model.OperationMetadataV1.html#t:t/0","title":"GoogleApi.CloudFunctions.V1.Model.OperationMetadataV1.t/0","type":"type","doc":""},{"ref":"GoogleApi.CloudFunctions.V1.Model.OperationMetadataV1Beta2.html","title":"GoogleApi.CloudFunctions.V1.Model.OperationMetadataV1Beta2","type":"module","doc":"Metadata describing an Operation Attributes request (%{optional(String.t) &#x3D;&gt; String.t}): The original request that started the operation. Defaults to: null. target (String.t): Target of the operation - for example projects/project-1/locations/region-1/functions/function-1 Defaults to: null. type (String.t): Type of operation. Defaults to: null. Enum - one of [OPERATION_UNSPECIFIED, CREATE_FUNCTION, UPDATE_FUNCTION, DELETE_FUNCTION] updateTime (DateTime.t): The last update timestamp of the operation. Defaults to: null. versionId (String.t): Version id of the function created or updated by an API call. This field is only populated for Create and Update operations. Defaults to: null."},{"ref":"GoogleApi.CloudFunctions.V1.Model.OperationMetadataV1Beta2.html#decode/2","title":"GoogleApi.CloudFunctions.V1.Model.OperationMetadataV1Beta2.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudFunctions.V1.Model.OperationMetadataV1Beta2.html#t:t/0","title":"GoogleApi.CloudFunctions.V1.Model.OperationMetadataV1Beta2.t/0","type":"type","doc":""},{"ref":"GoogleApi.CloudFunctions.V1.Model.Policy.html","title":"GoogleApi.CloudFunctions.V1.Model.Policy","type":"module","doc":"Defines an Identity and Access Management (IAM) policy. It is used to specify access control policies for Cloud Platform resources. A &#x60;Policy&#x60; consists of a list of &#x60;bindings&#x60;. A &#x60;binding&#x60; binds a list of &#x60;members&#x60; to a &#x60;role&#x60;, where the members can be user accounts, Google groups, Google domains, and service accounts. A &#x60;role&#x60; is a named list of permissions defined by IAM. JSON Example { &quot;bindings&quot;: [ { &quot;role&quot;: &quot;roles/owner&quot;, &quot;members&quot;: [ &quot;user:mike@example.com&quot;, &quot;group:admins@example.com&quot;, &quot;domain:google.com&quot;, &quot;serviceAccount:my-other-app@appspot.gserviceaccount.com&quot; ] }, { &quot;role&quot;: &quot;roles/viewer&quot;, &quot;members&quot;: [&quot;user:sean@example.com&quot;] } ] } YAML Example bindings: - members: - user:mike@example.com - group:admins@example.com - domain:google.com - serviceAccount:my-other-app@appspot.gserviceaccount.com role: roles/owner - members: - user:sean@example.com role: roles/viewer For a description of IAM and its features, see the IAM developer&#39;s guide. Attributes auditConfigs ([AuditConfig]): Specifies cloud audit logging configuration for this policy. Defaults to: null. bindings ([Binding]): Associates a list of &#x60;members&#x60; to a &#x60;role&#x60;. &#x60;bindings&#x60; with no members will result in an error. Defaults to: null. etag (binary()): &#x60;etag&#x60; is used for optimistic concurrency control as a way to help prevent simultaneous updates of a policy from overwriting each other. It is strongly suggested that systems make use of the &#x60;etag&#x60; in the read-modify-write cycle to perform policy updates in order to avoid race conditions: An &#x60;etag&#x60; is returned in the response to &#x60;getIamPolicy&#x60;, and systems are expected to put that etag in the request to &#x60;setIamPolicy&#x60; to ensure that their change will be applied to the same version of the policy. If no &#x60;etag&#x60; is provided in the call to &#x60;setIamPolicy&#x60;, then the existing policy is overwritten blindly. Defaults to: null. version (integer()): Deprecated. Defaults to: null."},{"ref":"GoogleApi.CloudFunctions.V1.Model.Policy.html#decode/2","title":"GoogleApi.CloudFunctions.V1.Model.Policy.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudFunctions.V1.Model.Policy.html#t:t/0","title":"GoogleApi.CloudFunctions.V1.Model.Policy.t/0","type":"type","doc":""},{"ref":"GoogleApi.CloudFunctions.V1.Model.Retry.html","title":"GoogleApi.CloudFunctions.V1.Model.Retry","type":"module","doc":"Describes the retry policy in case of function&#39;s execution failure. A function execution will be retried on any failure. A failed execution will be retried up to 7 days with an exponential backoff (capped at 10 seconds). Retried execution is charged as any other execution. Attributes"},{"ref":"GoogleApi.CloudFunctions.V1.Model.Retry.html#decode/2","title":"GoogleApi.CloudFunctions.V1.Model.Retry.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudFunctions.V1.Model.Retry.html#t:t/0","title":"GoogleApi.CloudFunctions.V1.Model.Retry.t/0","type":"type","doc":""},{"ref":"GoogleApi.CloudFunctions.V1.Model.SetIamPolicyRequest.html","title":"GoogleApi.CloudFunctions.V1.Model.SetIamPolicyRequest","type":"module","doc":"Request message for &#x60;SetIamPolicy&#x60; method. Attributes policy (Policy): REQUIRED: The complete policy to be applied to the &#x60;resource&#x60;. The size of the policy is limited to a few 10s of KB. An empty policy is a valid policy but certain Cloud Platform services (such as Projects) might reject them. Defaults to: null. updateMask (String.t): OPTIONAL: A FieldMask specifying which fields of the policy to modify. Only the fields in the mask will be modified. If no mask is provided, the following default mask is used: paths: &quot;bindings, etag&quot; This field is only used by Cloud IAM. Defaults to: null."},{"ref":"GoogleApi.CloudFunctions.V1.Model.SetIamPolicyRequest.html#decode/2","title":"GoogleApi.CloudFunctions.V1.Model.SetIamPolicyRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudFunctions.V1.Model.SetIamPolicyRequest.html#t:t/0","title":"GoogleApi.CloudFunctions.V1.Model.SetIamPolicyRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.CloudFunctions.V1.Model.SourceRepository.html","title":"GoogleApi.CloudFunctions.V1.Model.SourceRepository","type":"module","doc":"Describes SourceRepository, used to represent parameters related to source repository where a function is hosted. Attributes deployedUrl (String.t): Output only. The URL pointing to the hosted repository where the function were defined at the time of deployment. It always points to a specific commit in the format described above. Defaults to: null. url (String.t): The URL pointing to the hosted repository where the function is defined. There are supported Cloud Source Repository URLs in the following formats: To refer to a specific commit: &#x60;https://source.developers.google.com/projects//repos//revisions//paths/&#x60; To refer to a moveable alias (branch): &#x60;https://source.developers.google.com/projects//repos//moveable-aliases//paths/&#x60; In particular, to refer to HEAD use &#x60;master&#x60; moveable alias. To refer to a specific fixed alias (tag): &#x60;https://source.developers.google.com/projects//repos//fixed-aliases//paths/&#x60; You may omit &#x60;paths/*&#x60; if you want to use the main directory. Defaults to: null."},{"ref":"GoogleApi.CloudFunctions.V1.Model.SourceRepository.html#decode/2","title":"GoogleApi.CloudFunctions.V1.Model.SourceRepository.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudFunctions.V1.Model.SourceRepository.html#t:t/0","title":"GoogleApi.CloudFunctions.V1.Model.SourceRepository.t/0","type":"type","doc":""},{"ref":"GoogleApi.CloudFunctions.V1.Model.Status.html","title":"GoogleApi.CloudFunctions.V1.Model.Status","type":"module","doc":"The &#x60;Status&#x60; type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by gRPC. The error model is designed to be: - Simple to use and understand for most users - Flexible enough to meet unexpected needs # Overview The &#x60;Status&#x60; message contains three pieces of data: error code, error message, and error details. The error code should be an enum value of google.rpc.Code, but it may accept additional error codes if needed. The error message should be a developer-facing English message that helps developers understand and resolve the error. If a localized user-facing error message is needed, put the localized message in the error details or localize it in the client. The optional error details may contain arbitrary information about the error. There is a predefined set of error detail types in the package &#x60;google.rpc&#x60; that can be used for common error conditions. # Language mapping The &#x60;Status&#x60; message is the logical representation of the error model, but it is not necessarily the actual wire format. When the &#x60;Status&#x60; message is exposed in different client libraries and different wire protocols, it can be mapped differently. For example, it will likely be mapped to some exceptions in Java, but more likely mapped to some error codes in C. # Other uses The error model and the &#x60;Status&#x60; message can be used in a variety of environments, either with or without APIs, to provide a consistent developer experience across different environments. Example uses of this error model include: - Partial errors. If a service needs to return partial errors to the client, it may embed the &#x60;Status&#x60; in the normal response to indicate the partial errors. - Workflow errors. A typical workflow has multiple steps. Each step may have a &#x60;Status&#x60; message for error reporting. - Batch operations. If a client uses batch request and batch response, the &#x60;Status&#x60; message should be used directly inside batch response, one for each error sub-response. - Asynchronous operations. If an API call embeds asynchronous operation results in its response, the status of those operations should be represented directly using the &#x60;Status&#x60; message. - Logging. If some API errors are stored in logs, the message &#x60;Status&#x60; could be used directly after any stripping needed for security/privacy reasons. Attributes code (integer()): The status code, which should be an enum value of google.rpc.Code. Defaults to: null. details ([Object]): A list of messages that carry the error details. There is a common set of message types for APIs to use. Defaults to: null. message (String.t): A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client. Defaults to: null."},{"ref":"GoogleApi.CloudFunctions.V1.Model.Status.html#decode/2","title":"GoogleApi.CloudFunctions.V1.Model.Status.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudFunctions.V1.Model.Status.html#t:t/0","title":"GoogleApi.CloudFunctions.V1.Model.Status.t/0","type":"type","doc":""},{"ref":"GoogleApi.CloudFunctions.V1.Model.TestIamPermissionsRequest.html","title":"GoogleApi.CloudFunctions.V1.Model.TestIamPermissionsRequest","type":"module","doc":"Request message for &#x60;TestIamPermissions&#x60; method. Attributes permissions ([String.t]): The set of permissions to check for the &#x60;resource&#x60;. Permissions with wildcards (such as &#39;&#39; or &#39;storage.&#39;) are not allowed. For more information see IAM Overview. Defaults to: null."},{"ref":"GoogleApi.CloudFunctions.V1.Model.TestIamPermissionsRequest.html#decode/2","title":"GoogleApi.CloudFunctions.V1.Model.TestIamPermissionsRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudFunctions.V1.Model.TestIamPermissionsRequest.html#t:t/0","title":"GoogleApi.CloudFunctions.V1.Model.TestIamPermissionsRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.CloudFunctions.V1.Model.TestIamPermissionsResponse.html","title":"GoogleApi.CloudFunctions.V1.Model.TestIamPermissionsResponse","type":"module","doc":"Response message for &#x60;TestIamPermissions&#x60; method. Attributes permissions ([String.t]): A subset of &#x60;TestPermissionsRequest.permissions&#x60; that the caller is allowed. Defaults to: null."},{"ref":"GoogleApi.CloudFunctions.V1.Model.TestIamPermissionsResponse.html#decode/2","title":"GoogleApi.CloudFunctions.V1.Model.TestIamPermissionsResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudFunctions.V1.Model.TestIamPermissionsResponse.html#t:t/0","title":"GoogleApi.CloudFunctions.V1.Model.TestIamPermissionsResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.CloudFunctions.V1.RequestBuilder.html","title":"GoogleApi.CloudFunctions.V1.RequestBuilder","type":"module","doc":"Helper functions for building Tesla requests. This module is no longer used. Please use GoogleApi.Gax.Request instead."}]